Package org.springframework.security.access.vote

# Class AbstractAccessDecisionManager

java.lang.Object
org.springframework.security.access.vote.AbstractAccessDecisionManager

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.MessageSourceAware`, `AccessDecisionManager`

Direct Known Subclasses:
  `AffirmativeBased`, `ConsensusBased`, `UnanimousBased`

@Deprecated public abstract class AbstractAccessDecisionManager extends Object implements AccessDecisionManager, org.springframework.beans.factory.InitializingBean, org.springframework.context.MessageSourceAware
Deprecated.
Use `AuthorizationManager` instead
Abstract implementation of `AccessDecisionManager`.

Handles configuration of a bean context defined list of `AccessDecisionVoter`s and the access control behaviour if all voters abstain from voting (defaults to deny access).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`
Deprecated.
`protected org.springframework.context.support.MessageSourceAccessor`
`messages`
Deprecated.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractAccessDecisionManager(List<AccessDecisionVoter<?>> decisionVoters)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Deprecated.
`protected final void`
`checkAllowIfAllAbstainDecisions()`
Deprecated.
`List<AccessDecisionVoter<?>>`
`getDecisionVoters()`
Deprecated.
`boolean`
`isAllowIfAllAbstainDecisions()`
Deprecated.
`void`
`setAllowIfAllAbstainDecisions(boolean allowIfAllAbstainDecisions)`
Deprecated.
`void`
`setMessageSource(org.springframework.context.MessageSource messageSource)`
Deprecated.
`boolean`
`supports(Class<?> clazz)`
Deprecated.
Iterates through all `AccessDecisionVoter`s and ensures each can support the presented class.
`boolean`
`supports(ConfigAttribute attribute)`
Deprecated.
Indicates whether this `AccessDecisionManager` is able to process authorization requests presented with the passed `ConfigAttribute`.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.security.access.AccessDecisionManager

`decide`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger
Deprecated.

### messages

protected org.springframework.context.support.MessageSourceAccessor messages
Deprecated.

## Constructor Details

### AbstractAccessDecisionManager

protected AbstractAccessDecisionManager(List<AccessDecisionVoter<?>> decisionVoters)
Deprecated.

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()
Deprecated.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### checkAllowIfAllAbstainDecisions

protected final void checkAllowIfAllAbstainDecisions()
Deprecated.

### getDecisionVoters

public List<AccessDecisionVoter<?>> getDecisionVoters()
Deprecated.

### isAllowIfAllAbstainDecisions

public boolean isAllowIfAllAbstainDecisions()
Deprecated.

### setAllowIfAllAbstainDecisions

public void setAllowIfAllAbstainDecisions(boolean allowIfAllAbstainDecisions)
Deprecated.

### setMessageSource

public void setMessageSource(org.springframework.context.MessageSource messageSource)
Deprecated.

Specified by:
  `setMessageSource` in interface `org.springframework.context.MessageSourceAware`

### supports

public boolean supports(ConfigAttribute attribute)
Deprecated.
Description copied from interface: `AccessDecisionManager`
Indicates whether this `AccessDecisionManager` is able to process authorization requests presented with the passed `ConfigAttribute`.

This allows the `AbstractSecurityInterceptor` to check every configuration attribute can be consumed by the configured `AccessDecisionManager` and/or `RunAsManager` and/or `AfterInvocationManager`.

Specified by:
  `supports` in interface `AccessDecisionManager`
Parameters:
  `attribute` - a configuration attribute that has been configured against the `AbstractSecurityInterceptor`
Returns:
  true if this `AccessDecisionManager` can support the passed configuration attribute

### supports

public boolean supports(Class<?> clazz)
Deprecated.
Iterates through all `AccessDecisionVoter`s and ensures each can support the presented class.

If one or more voters cannot support the presented class, `false` is returned.

Specified by:
  `supports` in interface `AccessDecisionManager`
Parameters:
  `clazz` - the type of secured object being presented
Returns:
  true if this type is supported

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`